Method: managedZones.getIamPolicy

Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.

HTTP request

POST https://dns.googleapis.com/dns/v1/{resource=projects/*/managedZones/*}:getIamPolicy

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
resource

string

REQUIRED: The resource for which the policy is being requested. See Resource names for the appropriate value for this field. It takes the form projects/{project}/managedZones/{managedzone}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "options": {
    object (GetPolicyOptions)
  }
}
Fields
options

object (GetPolicyOptions)

OPTIONAL: A GetPolicyOptions object for specifying options to managedZones.getIamPolicy.

Response body

If successful, the response body contains an instance of Policy.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/ndev.clouddns.readonly
  • https://www.googleapis.com/auth/ndev.clouddns.readwrite

For more information, see the Authentication Overview.